<?php
    session_start();
    require 'tarjimachi.php';

    $text = isset($_POST['word_for_translation']) ? sanitize($_POST['word_for_translation']) : null;
    $lang_code = isset($_POST['selected_lang']) ? sanitize($_POST['selected_lang']) : "ru-uz";
    $phone_number = getPhoneNumber();
    $subscribed = false;

    if ($phone_number)
        $subscribed = isSubscribed($phone_number);


    $translations = NULL;
    if (isset($_POST['translate']) && count($_POST) === 3) {
        if(!$subscribed)
            redirect(NUMBER_PAGE);
        $translations = getWordTranslations($text, $lang_code);
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
<!-- Icons -->
    <link href="css/icons.css" rel="stylesheet">
<!-- Compiled and minified Materialize CSS -->
    <link rel="stylesheet" href="css/materialize.min.css">
<!--  Custom CSS  -->
    <link rel="stylesheet" href="css/index.css">

<!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

<!--  Tracking services START  -->
    <!-- Yandex.Metrika counter -->
    <script type="text/javascript" >
        (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
            m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
        (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");

        ym(69663817, "init", {
            clickmap:true,
            trackLinks:true,
            accurateTrackBounce:true,
            webvisor:true
        });
    </script>
    <noscript><div><img src="https://mc.yandex.ru/watch/69663817" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
    <!-- /Yandex.Metrika counter -->

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-183903207-1">
    </script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-183903207-1');
    </script>
    <!--  Tracking services END  -->
    <!--Google AdSense-->
    <script data-ad-client="ca-pub-1084217293984084" async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>

    <title>Tarjimachi - Ваш удобный переводчик</title>
</head>

<body>

<div class="container" id="input-section">
    <div class="row">
    <!--    Heading    -->
        <h1 class="col s12 center-align white-text brand-name">Tarjimachi</h1>
        <div class="col s12">
        <!-- User input -->
            <form  method="post">
                <div class="row">
                    <div class="input-field col s12 m6">
                        <input class="validate" id="word" type="text" name="word_for_translation"
                               placeholder="Например: 'яхши' или 'хорошо'"
                               pattern="[аАбБвВгГдДеЕёЁжЖзЗиИйЙкКлЛмМнНоОпПрРсСтТуУфФхХцЦчЧшШщЩъЪыЫьЬэЭюЮяЯЎўҚқҒғҲҳ]+"
                               value="<?php echo $text; ?>" required>
                        <label for="word">Слово для перевода/Таржима сузи</label>
                        <span class="helper-text"
                              data-error="Ошибка, должно быть одно слово на кирилице без пробелов!"
                              data-success="Ошибок не замечено">Одно слово на кирилице без пробелов</span>
                    </div>
                    <div class="input-field col s6 m4">
                        <select name="selected_lang" id="language-select">
                            <option value="uz-ru" selected>Русский/Русчага</option>
                            <option value="ru-uz">Узбекский/Узбекчага</option>
                        </select>
                        <label>Перевод на/Таржима тили</label>
                    </div>
                    <div class="input-field col s6 m2">
                        <button class="btn waves-effect waves-light" type="submit" name="translate">Перевод
                            <i class="material-icons right">send</i>
                        </button>
                    </div>
                </div>
            </form>
        <!--Translated text output-->
            <textarea class="materialize-textarea" id="text" rows="4" placeholder="Тут будет перевод" <?php
                if(is_null($translations)):
                    echo  " disabled>";
                else:
                    echo ">";
                    foreach ($translations as $translation)
                        echo $translation;
                endif;
                ?>
            </textarea>

        </div>
    </div>
</div>

<!--jQuery-->
<script src="js/jquery-3.5.1.slim.min.js"></script>

<!-- Compiled and minified Materialize JavaScript -->
<script src="js/materialize.min.js"></script>

<!--Custom JS-->
<script src="js/script.js"></script>


</body>
</html>